## WebKitDOMNodeFilter WebKitDOMNodeFilter |

## Functions

gshort | webkit_dom_node_filter_accept_node ()

## Types and Values

| WebKitDOMNodeFilter
#define | WEBKIT_DOM_NODE_FILTER_ACCEPT
#define | WEBKIT_DOM_NODE_FILTER_REJECT
#define | WEBKIT_DOM_NODE_FILTER_SHOW_ALL
#define | WEBKIT_DOM_NODE_FILTER_SHOW_ATTRIBUTE
#define | WEBKIT_DOM_NODE_FILTER_SHOW_CDATA_SECTION
#define | WEBKIT_DOM_NODE_FILTER_SHOW_COMMENT
#define | WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT
#define | WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT_FRAGMENT
#define | WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT_TYPE
#define | WEBKIT_DOM_NODE_FILTER_SHOW_ELEMENT
#define | WEBKIT_DOM_NODE_FILTER_SHOW_ENTITY
#define | WEBKIT_DOM_NODE_FILTER_SHOW_ENTITY_REFERENCE
#define | WEBKIT_DOM_NODE_FILTER_SHOW_NOTATION
#define | WEBKIT_DOM_NODE_FILTER_SHOW_PROCESSING_INSTRUCTION
#define | WEBKIT_DOM_NODE_FILTER_SHOW_TEXT
#define | WEBKIT_DOM_NODE_FILTER_SKIP

## Object Hierarchy

        GInterface
        ╰── WebKitDOMNodeFilter

## Prerequisites

WebKitDOMNodeFilter requires GObject.

## Description

## Functions

### webkit_dom_node_filter_accept_node ()

    gshort
    webkit_dom_node_filter_accept_node (WebKitDOMNodeFilter *filter,
                                        WebKitDOMNode *node);

## Types and Values

### WebKitDOMNodeFilter

    typedef struct _WebKitDOMNodeFilter WebKitDOMNodeFilter;

### WEBKIT_DOM_NODE_FILTER_ACCEPT

    #define WEBKIT_DOM_NODE_FILTER_ACCEPT 1

### WEBKIT_DOM_NODE_FILTER_REJECT

    #define WEBKIT_DOM_NODE_FILTER_REJECT 2

### WEBKIT_DOM_NODE_FILTER_SHOW_ALL

    #define WEBKIT_DOM_NODE_FILTER_SHOW_ALL                    0xFFFFFFFF

### WEBKIT_DOM_NODE_FILTER_SHOW_ATTRIBUTE

    #define WEBKIT_DOM_NODE_FILTER_SHOW_ATTRIBUTE              0x00000002

### WEBKIT_DOM_NODE_FILTER_SHOW_CDATA_SECTION

    #define WEBKIT_DOM_NODE_FILTER_SHOW_CDATA_SECTION          0x00000008

### WEBKIT_DOM_NODE_FILTER_SHOW_COMMENT

    #define WEBKIT_DOM_NODE_FILTER_SHOW_COMMENT                0x00000080

### WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT

    #define WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT               0x00000100

### WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT_FRAGMENT

    #define WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT_FRAGMENT      0x00000400

### WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT_TYPE

    #define WEBKIT_DOM_NODE_FILTER_SHOW_DOCUMENT_TYPE          0x00000200

### WEBKIT_DOM_NODE_FILTER_SHOW_ELEMENT

    #define WEBKIT_DOM_NODE_FILTER_SHOW_ELEMENT                0x00000001

### WEBKIT_DOM_NODE_FILTER_SHOW_ENTITY

    #define WEBKIT_DOM_NODE_FILTER_SHOW_ENTITY                 0x00000020

### WEBKIT_DOM_NODE_FILTER_SHOW_ENTITY_REFERENCE

    #define WEBKIT_DOM_NODE_FILTER_SHOW_ENTITY_REFERENCE       0x00000010

### WEBKIT_DOM_NODE_FILTER_SHOW_NOTATION

    #define WEBKIT_DOM_NODE_FILTER_SHOW_NOTATION               0x00000800

### WEBKIT_DOM_NODE_FILTER_SHOW_PROCESSING_INSTRUCTION

    #define WEBKIT_DOM_NODE_FILTER_SHOW_PROCESSING_INSTRUCTION 0x00000040

### WEBKIT_DOM_NODE_FILTER_SHOW_TEXT

    #define WEBKIT_DOM_NODE_FILTER_SHOW_TEXT                   0x00000004

### WEBKIT_DOM_NODE_FILTER_SKIP

    #define WEBKIT_DOM_NODE_FILTER_SKIP   3